package cn.sikey.mcdisk.service;

import cn.sikey.framework.common.pojo.CommonResult;
import cn.sikey.mcdisk.controller.app.wristwatch.vo.AccessToken1ReqVO;
import cn.sikey.mcdisk.controller.app.wristwatch.vo.AuthorizeRespVO;
import cn.sikey.mcdisk.controller.app.wristwatch.vo.NotifyParentsAuthorizationReqVO;
import cn.sikey.mcdisk.controller.app.wristwatch.vo.RefreshTokenReqVO;

/**
 * @Author: nelson
 * @Date: 2025/5/30
 * @Description: 授权
 */
public interface AuthorizeService {

    AuthorizeRespVO queryOauth(String deviceId);

    CommonResult accessToken1(AccessToken1ReqVO accessToken1ReqVO);

    CommonResult refreshToken(RefreshTokenReqVO refreshTokenReqVO);

    AuthorizeRespVO queryAuthorize(String deviceId);

    void updateAuthorizeByDeviceId(String deviceId,Integer authorizeStatus);

    void notifyParentsAuthorization(NotifyParentsAuthorizationReqVO notifyParentsAuthorizationReqVO);

    void updateAuthorizeAccessTokenByDeviceId(String deviceId);
}
